<!-- Begin Footer -->
<footer>
    
    <?php if ( 'option2' == get_theme_mod( 'quemag_wp_footer_display_icons' ) ) {  ?>             
    <div class="social-section">
        <!-- footer social icons. -->
        <ul class="footer-social">
            <?php if ( get_theme_mod( 'facebook-furl' ) ) { ?> <li><a href="<?php echo esc_url(get_theme_mod('facebook-furl')); ?>" rel="noopener noreferrer" target="_blank"><i class="fab fa-facebook-f"></i> <span><?php esc_html_e( 'Facebook', 'quemag-wp' ); ?></span></a></li> <?php } ?>
            <?php if ( get_theme_mod( 'twitter-furl' ) ) { ?> <li><a href="<?php echo esc_url(get_theme_mod('twitter-furl')); ?>" rel="noopener noreferrer" target="_blank"><i class="fab fa-twitter"></i> <span><?php esc_html_e( 'Twitter', 'quemag-wp' ); ?></span></a></li> <?php } ?>
            <?php if ( get_theme_mod( 'vk-furl' ) ) { ?> <li><a href="<?php echo esc_url(get_theme_mod('vk-furl')); ?>" rel="noopener noreferrer" target="_blank"><i class="fab fa-vk"></i> <span><?php esc_html_e( 'Vk', 'quemag-wp' ); ?></span></a></li> <?php } ?>
            <?php if ( get_theme_mod( 'pinterest-furl' ) ) { ?> <li><a href="<?php echo esc_url(get_theme_mod('pinterest-furl')); ?>" rel="noopener noreferrer" target="_blank"><i class="fab fa-pinterest-p"></i> <span><?php esc_html_e( 'Pinterest', 'quemag-wp' ); ?></span></a></li> <?php } ?>
            <?php if ( get_theme_mod( 'instagram-furl' ) ) { ?> <li><a href="<?php echo esc_url(get_theme_mod('instagram-furl')); ?>" rel="noopener noreferrer" target="_blank"><i class="fab fa-instagram"></i> <span><?php esc_html_e( 'Instagram', 'quemag-wp' ); ?></span></a></li> <?php } ?>
            <?php if ( get_theme_mod( 'xing-furl' ) ) { ?> <li><a href="<?php echo esc_url(get_theme_mod('xing-furl')); ?>" rel="noopener noreferrer" target="_blank"><i class="fab fa-xing"></i> <span><?php esc_html_e( 'Xing', 'quemag-wp' ); ?></span></a></li> <?php } ?>
            <?php if ( get_theme_mod( 'dribbble-furl' ) ) { ?> <li><a href="<?php echo esc_url(get_theme_mod('dribbble-furl')); ?>" rel="noopener noreferrer" target="_blank"><i class="fab fa-dribbble"></i> <span><?php esc_html_e( 'Dribbble', 'quemag-wp' ); ?></span></a></li> <?php } ?>
            <?php if ( get_theme_mod( 'vimeo-furl' ) ) { ?> <li><a href="<?php echo esc_url(get_theme_mod('vimeo-furl')); ?>" rel="noopener noreferrer" target="_blank"><i class="fab fa-vimeo-v"></i> <span><?php esc_html_e( 'Vimeo', 'quemag-wp' ); ?></span></a></li> <?php } ?>
            <?php if ( get_theme_mod( 'youtube-furl' ) ) { ?> <li><a href="<?php echo esc_url(get_theme_mod('youtube-furl')); ?>" rel="noopener noreferrer" target="_blank"><i class="fab fa-youtube"></i> <span><?php esc_html_e( 'Youtube', 'quemag-wp' ); ?></span></a></li> <?php } ?>
            <?php if ( get_theme_mod( 'soundcloud-furl' ) ) { ?> <li><a href="<?php echo esc_url(get_theme_mod('soundcloud-furl')); ?>" rel="noopener noreferrer" target="_blank"><i class="fab fa-soundcloud"></i> <span><?php esc_html_e( 'Soundcloud', 'quemag-wp' ); ?></span></a></li> <?php } ?>
        </ul>    
    </div><!-- end .social-section -->
    <?php } ?>
    
    <div class="wrap-footer">
        <div class="firstfpara"><?php echo wp_kses_post(stripslashes(get_theme_mod('quemag_copyright1'))); ?> </div>
        <div><?php echo wp_kses_post(stripslashes(get_theme_mod('quemag_copyright2', '&#xa9; 2020 Quemag. All Rights Reserved. Theme by <a href=\"https://anthemes.com/\" target=\"_blank\">Anthemes.com</a>'))); ?> </div>            
    </div><!-- end .wrap-footer -->

    <!-- Go to TOP -->
    <p id="back-top"><a href="#top">
      <span><i class="fas fa-chevron-up"></i></span></a>
    </p><!-- end #back-top -->
</footer><!-- end #footer -->

<!-- Footer Theme output -->
<?php wp_footer();?>
</body>
</html>