<?php
/**
 * 
 * 
 * @version 0.0.2
 * @author Bilal Hassan
 * @copyright (c) 2018, Bilal Hassan
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * tran: AcidOptions / Sortable
 * 
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class AcidConfig {
    
    const THEME_NAME = 'Acid';
    const THEME_SLUG = 'acid';
    static $url = null;
    
    
    public static function set_url( $url ) {
        self::$url = $url;
    }
    
    public static function get_url() {
        return self::$url . 'Acid/';
    }
    
    public static function assets_url() {
        return self::get_url() . 'assets/';
    }
    
}


get_template_part('/inc/Acid/controls/RadioImage', 'RadioImage');
get_template_part('/inc/Acid/controls/RadioToggle', 'RadioToggle');
get_template_part('/inc/Acid/controls/Range', 'Range');
get_template_part('/inc/Acid/controls/Toggle', 'Toggle');
get_template_part('/inc/Acid/controls/Sortable', 'Sortable');
get_template_part('/inc/Acid/controls/Anspace', 'Anspace');
get_template_part('/inc/Acid/controls/ColorSelect', 'ColorSelect');
get_template_part('/inc/Acid/controls/HtmlEditor', 'HtmlEditor');
get_template_part('/inc/Acid/includes/AcidComponent', 'AcidComponent');
get_template_part('/inc/Acid/includes/AcidPanel', 'AcidPanel');
get_template_part('/inc/Acid/includes/AcidSection', 'AcidSection');
get_template_part('/inc/Acid/includes/AcidOption', 'AcidOption');
get_template_part('/inc/Acid/includes/AcidCustomizer', 'AcidCustomizer');
get_template_part('/inc/Acid/includes/functions-sanitization', 'functionssanitization');
get_template_part('/inc/Acid/includes/functions-option', 'functionsoption');
get_template_part('/inc/Acid/includes/theme-options', 'themeoptions'); 

function acid_instance( $url ) {
    
    AcidConfig::set_url( $url ); 
    return new AcidCustomizer( AcidConfig::THEME_NAME, AcidConfig::THEME_SLUG );
    
}
