<?php 
/* 
Template Name: Template - Default with Sidebar
*/ 
?>
<?php get_header(); // add header ?>  

<?php if ( is_active_sidebar( 'sidebar_page_quemag_wp' ) ) { ?>
<!-- Begin Content -->
<div class="wrap-fullwidth">
    <div class="single-content">
<?php } else { ?>
<div class="wrap-fullwidth-bg">
<?php } ?>


        <article>
            <?php if (have_posts()) : while (have_posts()) : the_post();  ?>
            <div <?php post_class(); ?> id="post-<?php the_ID(); ?>">             

                        <div class="entry">
                          <h1 class="page-title"><?php the_title(); ?></h1>
                          <?php the_content(''); // content ?>
                          <div class="clear"></div>
                          <?php wp_link_pages(); // content pagination ?>
                          <div class="clear"></div>
                        </div><!-- end #entry -->
            </div><!-- end .post -->
            <?php endwhile; endif; ?>


            <?php // If comments are open or we have at least one comment, load up the comment template.
            if ( comments_open() || get_comments_number() ) { ?>
              <!-- Comments -->
              <div class="article-bottom">
                  <?php if (get_comments_number()==0) { } else { ?>
                      <div class="article-btn"><h3><?php esc_html_e( 'All Comments', 'quemag-wp' ); ?></h3></div>
                  <?php } ?>            
                  
                  <!-- Comments -->
                  <div id="comments" class="comments">
                      <?php comments_template('', true); // comments ?>
                  </div>
                  <div class="clear"></div>
              </div><!-- end .entry-bottom -->
            <?php } ?> 
            
        </article>

    <?php if ( is_active_sidebar( 'sidebar_page_quemag_wp' ) ) { ?>
    </div><!-- end .single-content -->
    <!-- Begin Sidebar (right) -->
    <?php  get_sidebar(); // add sidebar ?>
    <!-- end #sidebar  (right) -->  
    <?php } ?>  

    <div class="clear"></div>
</div><!-- end .wrap-fullwidth -->

<?php get_footer(); // add footer  ?>