<?php 
// Register widgetized areas
function quemag_wp_widgets_init() {

    register_sidebar( array (
		'name' => esc_html__( 'Sidebar #1 Home = Right', 'quemag-wp' ),
		'id' => 'sidebar_main_quemag_wp',
		'description'   => esc_html__( 'Add widgets here to appear in the right sidebar.', 'quemag-wp' ),
		'before_widget' => '<div class="widget %2$s">',
		'after_widget' => '<div class="clear"></div></div><div class="clear"></div>',
		'before_title' => '<div class="widget-title"><h3>',
		'after_title' => '</h3></div><div class="clear"></div>',
	) );

    register_sidebar( array (
		'name' => esc_html__( 'Sidebar #2 Home = Left', 'quemag-wp' ),
		'id' => 'sidebar_left_quemag_wp',
		'description'   => esc_html__( 'Add widgets here to appear in the left sidebar.', 'quemag-wp' ),
		'before_widget' => '<div class="widget %2$s">',
		'after_widget' => '<div class="clear"></div></div><div class="clear"></div>',
		'before_title' => '<div class="widget-title"><h3>',
		'after_title' => '</h3></div><div class="clear"></div>',
	) );


    register_sidebar( array (
		'name' => esc_html__( 'Sidebar #3 Home Modules', 'quemag-wp' ),
		'description' => esc_html__('Use only the widgets that start with the name "Module".', 'quemag-wp'),
		'id' => 'homemodules_quemag_wp',
		'before_widget' => '<div class="widget %2$s">',
		'after_widget' => '<div class="clear"></div></div><div class="clear"></div>',
		'before_title' => '<div class="widget-titlevertical"><h3>',
		'after_title' => '</h3></div><div class="clear"></div>',
	) );

    register_sidebar( array (
		'name' => esc_html__( 'Sidebar #4 Article Page', 'quemag-wp' ),
		'id' => 'sidebar_article_quemag_wp',
		'description'   => esc_html__( 'Add widgets here to appear in the Article page.', 'quemag-wp' ),
		'before_widget' => '<div class="widget %2$s">',
		'after_widget' => '<div class="clear"></div></div><div class="clear"></div>',
		'before_title' => '<div class="widget-title"><h3>',
		'after_title' => '</h3></div><div class="clear"></div>',
	) );	

    register_sidebar( array (
		'name' => esc_html__( 'Sidebar #5 Default Page', 'quemag-wp' ),
		'id' => 'sidebar_page_quemag_wp',
		'description'   => esc_html__( 'Add widgets here to appear in the sidebar.', 'quemag-wp' ),
		'before_widget' => '<div class="widget %2$s">',
		'after_widget' => '<div class="clear"></div></div><div class="clear"></div>',
		'before_title' => '<div class="widget-title"><h3>',
		'after_title' => '</h3></div><div class="clear"></div>',
	) );	

}

add_action( 'widgets_init', 'quemag_wp_widgets_init' );
?>