<?php get_header(); // add header ?>  
 
<?php if ( is_active_sidebar( 'sidebar_article_quemag_wp' ) ) { ?>
<!-- Begin Content -->
<div class="wrap-fullwidth">
    <div class="single-content">
<?php } else { ?>
<div class="wrap-fullwidth-bg">
<?php } ?>

        <?php if (have_posts()) : while (have_posts()) : the_post();  ?>
        <?php if ( function_exists( 'getPostViews_quemag_wp' ) ) { setPostViews_quemag_wp(get_the_ID()); } ?>
        <div class="entry-top">
            <div class="single-category"> 
                <?php the_category(' '); ?>
            </div><!-- end .single-category -->
            <div class="clear"></div>  
            <h1 class="article-title entry-title"><?php the_title(); ?></h1>
            <div class="clear"></div>
                <!-- Post Data  -->
                <div class="post-data">
                    <div class="time-article"><i class="fas fa-clock"></i> <?php echo get_the_date(); ?></div>
                    <?php if ( function_exists( 'quemag_wp_social_share_single_top' ) ) { wp_kses_post(quemag_wp_social_share_single_top()); } ?>
                <div class="clear"></div>
                </div><!-- end .post-data -->            
        </div><div class="clear"></div>
        <?php endwhile; endif; ?>


        <article>
            <?php if (have_posts()) : while (have_posts()) : the_post();  ?>
            <div <?php post_class('post') ?> id="post-<?php the_ID(); ?>">

            <div class="media-single-content">
            <?php if ( function_exists( 'rwmb_meta' ) ) {  
            // If Meta Box plugin is activate ?>
                <?php
                $quemag_wp_youtubecode = rwmb_meta('quemag_wp_youtube', true );
                $quemag_wp_vimeocode = rwmb_meta('quemag_wp_vimeo', true );
                $quemag_wp_hideimg = rwmb_meta('quemag_wp_hideimg', true );
                ?> 

                <?php if(!empty($quemag_wp_youtubecode)) { ?>
                    <!-- Youtube video -->
                    <?php $quemag_wp_youtubeembed = '//www.youtube.com/embed/'; ?>
                    <iframe class="single_iframe" width="100%" height="450" src="<?php echo esc_url($quemag_wp_youtubeembed); ?><?php echo esc_html($quemag_wp_youtubecode); ?>?wmode=transparent" frameborder="0" allowfullscreen></iframe>
                <?php } ?>

                <?php if(!empty($quemag_wp_vimeocode)) { ?>
                    <!-- Vimeo video -->
                    <?php $quemag_wp_vimeoembed = '//player.vimeo.com/video/'; ?>
                    <iframe class="single_iframe" width="100%" height="450" src="<?php echo esc_url($quemag_wp_vimeoembed); ?><?php echo esc_html($quemag_wp_vimeocode); ?>?portrait=0" frameborder="0" allowFullScreen></iframe>
                <?php } ?>

                <?php if(!empty($quemag_wp_youtubecode) || !empty($quemag_wp_vimeocode)) { ?>
                <?php } elseif ( has_post_thumbnail()) { ?>
                    <?php if(!empty($quemag_wp_hideimg)) { } else { ?>
                     <?php the_post_thumbnail('quemag-wp-thumbnail-single-image'); ?>
                    <?php } // disable featured image ?>
                <?php } ?>
 
            <?php } else { 
            // Meta Box Plugin ?>
                <?php the_post_thumbnail('quemag-wp-thumbnail-single-image'); ?>
            <?php } ?> 
            </div><!-- end .media-single-content -->

 
            <?php if ( function_exists( 'quemag_wp_social_share_single_left' ) ) { wp_kses_post(quemag_wp_social_share_single_left()); } ?>
            <div class="clear"></div>

                <div class="entry">
                    <div class="p-first-letter">
                        <!-- excerpt -->
                        <?php if ( !empty( $post->post_excerpt ) ) { ?> 
                            <?php echo the_excerpt(); ?>
                        <?php } ?>                             
                        <?php the_content(''); // content ?>
                        <div class="clear"></div>
                    </div><!-- end .p-first-letter -->
                    <?php wp_link_pages(); // content pagination ?>
                    <div class="clear"></div>

                    <div class="entry-art-ct">
                        <!-- tags -->
                        <?php $tags = get_the_tags(); 
                        if ($tags): ?>
                            <div class="ct-size"><div class="entry-btn"><?php esc_html_e( 'Article Tags:', 'quemag-wp' ); ?></div> <?php the_tags('', ' &middot; '); // tags ?></div><div class="clear"></div>
                        <?php endif; ?>

                        <!-- categories -->
                        <?php $categories = get_the_category(); 
                        if ($categories): ?>
                            <div class="ct-size"><div class="entry-btn"><?php esc_html_e( 'Article Categories:', 'quemag-wp' ); ?></div> <?php the_category(' &middot; '); // categories ?></div><div class="clear"></div>
                        <?php endif; ?>
                    </div><!-- end .entry-art-ct -->


                    <?php if(get_the_author_meta('description') ) { ?>
                    <div class="author-meta">
                        <div class="author-meta-entry">
                            <div class="author-left-meta">
                                <a href="<?php echo esc_url(get_author_posts_url( get_the_author_meta( 'ID' ) )); ?>"><?php echo get_avatar( get_the_author_meta( 'user_email' ), 60 ); ?></a>
                            </div><!-- end .author-left-meta -->
                            <div class="author-info">
                                <div class="author-name">By <?php the_author_posts_link(); ?></div><br /> 
                                <p><?php the_author_meta('description'); ?></p>

                                <ul class="author-social">
                                    <li class="link"><a href="<?php the_author_meta('url'); ?>" rel="noopener noreferrer" target="_blank"><?php the_author_meta('url'); ?></a></li>
                                    <?php if (function_exists('quemag_wp_contactmethods')){ ?>
                                        <?php if(get_the_author_meta('quemag_wp_facebook')) { ?><li><a rel="noopener noreferrer" target="_blank" href="<?php echo esc_url(the_author_meta('quemag_wp_facebook')); ?>"><i class="fab fa-facebook-f"></i></a></li><?php } ?>
                                        <?php if(get_the_author_meta('quemag_wp_twitter')) { ?><li><a rel="noopener noreferrer" target="_blank" href="<?php echo esc_url(the_author_meta('quemag_wp_twitter')); ?>"><i class="fab fa-twitter"></i></a></li><?php } ?>
                                        <?php if(get_the_author_meta('quemag_wp_pinterest')) { ?><li><a rel="noopener noreferrer" target="_blank" href="<?php echo esc_url(the_author_meta('quemag_wp_pinterest')); ?>"><i class="fab fa-pinterest"></i></a></li><?php } ?>
                                        <?php if(get_the_author_meta('quemag_wp_instagram')) { ?><li><a rel="noopener noreferrer" target="_blank" href="<?php echo esc_url(the_author_meta('quemag_wp_instagram')); ?>"><i class="fab fa-instagram"></i></a></li><?php } ?>   
                                        <?php if(get_the_author_meta('quemag_wp_xing')) { ?><li><a rel="noopener noreferrer" target="_blank" href="<?php echo esc_url(the_author_meta('quemag_wp_xing')); ?>"><i class="fab fa-xing"></i></a></li><?php } ?>                                       
                                        <?php if(get_the_author_meta('quemag_wp_youtube')) { ?><li><a rel="noopener noreferrer" target="_blank" href="<?php echo esc_url(the_author_meta('quemag_wp_youtube')); ?>"><i class="fab fa-youtube"></i></a></li><?php } ?>   
                                        <?php if(get_the_author_meta('quemag_wp_dribbble')) { ?><li><a rel="noopener noreferrer" target="_blank" href="<?php echo esc_url(the_author_meta('quemag_wp_dribbble')); ?>"><i class="fab fa-dribbble"></i></a></li><?php } ?>   
                                        <?php if(get_the_author_meta('quemag_wp_vimeo')) { ?><li><a rel="noopener noreferrer" target="_blank" href="<?php echo esc_url(the_author_meta('quemag_wp_vimeo')); ?>"><i class="fab fa-vimeo"></i></a></li><?php } ?>   
                                        <?php if(get_the_author_meta('quemag_wp_vk')) { ?><li><a rel="noopener noreferrer" target="_blank" href="<?php echo esc_url(the_author_meta('quemag_wp_vk')); ?>"><i class="fab fa-vk"></i></a></li><?php } ?>   
                                        <?php if(get_the_author_meta('quemag_wp_soundcloud')) { ?><li><a rel="noopener noreferrer" target="_blank" href="<?php echo esc_url(the_author_meta('quemag_wp_soundcloud')); ?>"><i class="fab fa-soundcloud"></i></a></li><?php } ?>
                                    <?php } ?>                                    
                                </ul>

                            </div><!-- end .autor-info -->
                            <div class="clear"></div>
                        </div>
                    </div><!-- end .author-meta -->
                    <?php } ?>

                </div><!-- end .entry -->
                <div class="clear"></div> 

            </div><!-- end #post -->
            <?php endwhile; endif; ?>
        </article><!-- end article -->


        <?php if ( 'option2' == get_theme_mod( 'quemag_wp_display_add_relatedarticles' ) ) {  ?>
        <!-- Related Articles -->
        <div class="single-related">
        <div class="single-related-wrap">
            <div class="one_half_sr">
                 <?php echo stripslashes(get_theme_mod('quemag_wp_related_add300', '<a href=\"#\"><img src=\"https://via.placeholder.com/300x250/ffc600/ffffff?text=300 +AD\" alt=\"img\" /></a>')); ?>
            </div>

            <div class="one_half_last_sr">
                    <h3 class="related-widget-title"><?php esc_html_e( 'Related Articles', 'quemag-wp' ); ?></h3>
                        
                <ul class="article_list_small">
                    <?php $quemag_wp_related = get_posts( array( 'category__in' => wp_get_post_categories($post->ID), 'ignore_sticky_posts' => 1, 'numberposts' => esc_attr(3), 'post__not_in' => array($post->ID) ) );
                    $num=1; if( $quemag_wp_related ) foreach( $quemag_wp_related as $post ) { setup_postdata($post); ?>  
                    <li>  
                        <a href="<?php the_permalink(); ?>"> <?php echo the_post_thumbnail('quemag-wp-thumbnail-widget-small'); ?></a>
                        <div class="an-widget-title" <?php if ( has_post_thumbnail()) { ?> style="margin-left:90px;" <?php } ?>>
                        <h4 class="article-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>              
                        <div class="time-article-widget"><i class="fas fa-clock"></i> <?php echo get_the_date(); ?></div> 
                        </div>
                    </li>
                  <?php } wp_reset_postdata(); ?>
                </ul>
            </div><div class="clear"></div>
        </div><!-- end .single-related-wrap -->
        </div><!-- end .single.related -->
        <?php } ?>
   

        <!-- Comments -->
        <section class="article-bottom">
            <div id="comments" class="comments">
                <?php if ( ! post_password_required() ) { ?>    
                    <?php if (get_comments_number()==0) { } else { ?>
                        <div class="article-btn"><h3><?php esc_html_e( 'All Comments', 'quemag-wp' ); ?></h3></div>
                    <?php } ?>
                <?php } ?> 
                <div class="clear"></div>
                <?php comments_template('', true); // comments ?>
            </div>
            <div class="clear"></div>
        </section>


            <!-- Prev and Next articles -->
            <div class="prev-articles">
                <?php if (get_adjacent_post(false, '', true)) { // if there are older posts ?>
                <div class="one_half">
                    <div class="prev-entry"><?php previous_post_link('' . esc_html__('Previous Article', 'quemag-wp') . '  <h2>%link </h2>'); ?></div> 
                </div>
                <?php } ?>
                <?php if (get_adjacent_post(false, '', false)) { // if there are newer posts ?>
                <div class="one_half_last">
                    <div class="prev-entry2"><?php next_post_link('' . esc_html__('Next Article', 'quemag-wp') . '  <h2> %link</h2>'); ?></div>
                </div>
                <?php } ?><div class="clear"></div>
            </div><!-- end .prev-articles -->

<?php if ( is_active_sidebar( 'sidebar_article_quemag_wp' ) ) { ?>
    </div><!-- end .single-content -->
    <!-- Begin Sidebar (right) -->
    <?php  get_sidebar(); // add sidebar ?>
    <!-- end #sidebar  (right) -->    
<?php } ?>  

    <div class="clear"></div>
</div><!-- end .wrap-fullwidth  -->
<?php get_footer(); // add footer  ?>