<?php
/*
Plugin Name: Quemag Theme Core
Description: Theme Functionality: Theme core, custom widgets, Social Share Icons, etc.
Version: 1.0
*/


$theme = wp_get_theme(); // gets the current theme
if ( 'Quemag WP' == $theme->name || 'Quemag WP' == $theme->parent_theme ) {

// ------------------------------------------------ 
// ---- Social share Home -------------------------
// ------------------------------------------------ 
function quemag_wp_social_share_home() { ?>
    <ul class="home-social">
        <li class="fb"><?php $quemag_wp_facebooklink = 'https://www.facebook.com/sharer/sharer.php?u='; ?><a target="_blank" href="<?php echo esc_url($quemag_wp_facebooklink); ?><?php the_permalink(); ?>" onClick="javascript:window.open(this.href,'','menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=400,width=700');return false;"><i class="fab fa-facebook-f"></i></a></li>
        <li class="tw"><?php $quemag_wp_twitterlink = 'https://twitter.com/intent/tweet?text=Check%20out%20this%20article:%20'; ?><a target="_blank" href="<?php echo esc_url($quemag_wp_twitterlink); ?><?php print quemag_social_title( get_the_title() ); ?>%20-%20<?php echo urlencode(the_permalink()); ?>" onClick="javascript:window.open(this.href,'','menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=400,width=700');return false;"><i class="fab fa-twitter"></i></a></li>
        <?php $articleimage = wp_get_attachment_url( get_post_thumbnail_id()); ?>
        <li class="pi"><?php $quemag_wp_pinlink = 'https://pinterest.com/pin/create/button/?url='; ?><a target="_blank" href="<?php echo esc_url($quemag_wp_pinlink); ?><?php echo urlencode(the_permalink()); ?>&amp;media=<?php echo esc_html($articleimage); ?>&amp;description=<?php print quemag_social_title( get_the_title() ); ?>" onClick="javascript:window.open(this.href,'','menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=400,width=700');return false;"><i class="fab fa-pinterest-p"></i></a></li>
        <li class="wa"><a target="_blank" href="https://api.whatsapp.com/send?text=<?php print quemag_social_title( get_the_title() ); ?>%20-%20<?php echo urlencode(the_permalink()); ?>" data-action="share/whatsapp/share" onClick="javascript:window.open(this.href,'','menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=400,width=700');return false;"><i class="fab fa-whatsapp"></i></a></li>
    </ul>
<?php }


// ------------------------------------------------ 
// ---- Social share Single Top -------------------
// ------------------------------------------------ 
function quemag_wp_social_share_single_top() { ?>
    <ul class="article-social">
        <li class="fb"><?php $quemag_wp_facebooklink = 'https://www.facebook.com/sharer/sharer.php?u='; ?><a target="_blank" href="<?php echo esc_url($quemag_wp_facebooklink); ?><?php the_permalink(); ?>" onClick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=400,width=700');return false;"><i class="fab fa-facebook-f"></i></a></li>
        <li class="tw"><?php $quemag_wp_twitterlink = 'https://twitter.com/intent/tweet?text=Check%20out%20this%20article:%20'; ?><a target="_blank" href="<?php echo esc_url($quemag_wp_twitterlink); ?><?php the_title(); ?>%20-%20<?php the_permalink(); ?>" onClick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=400,width=700');return false;"><i class="fab fa-twitter"></i></a></li>
        <?php $articleimage = wp_get_attachment_url( get_post_thumbnail_id()); ?>
        <li class="pi"><?php $quemag_wp_pinlink = 'https://pinterest.com/pin/create/button/?url='; ?><a target="_blank" href="<?php echo esc_url($quemag_wp_pinlink); ?><?php the_permalink(); ?>&amp;media=<?php echo esc_html($articleimage); ?>&amp;description=<?php the_title(); ?>" onClick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=400,width=700');return false;"><i class="fab fa-pinterest-p"></i></a></li>
        <li class="wa"><a target="_blank" href="https://api.whatsapp.com/send?text=<?php the_title(); ?>%20-%20<?php the_permalink(); ?>" data-action="share/whatsapp/share" onClick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=400,width=700');return false;"><i class="fab fa-whatsapp"></i></a></li>
    </ul>
<?php }


// ------------------------------------------------ 
// ---- Social share Single Left ------------------
// ------------------------------------------------ 
function quemag_wp_social_share_single_left() { ?>
    <div id="single-share">
        <?php $quemag_wp_facebooklink = 'https://www.facebook.com/sharer/sharer.php?u='; ?><a class="fbbutton" target="_blank" href="<?php echo esc_url($quemag_wp_facebooklink); ?><?php the_permalink(); ?>" onClick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=400,width=700');return false;"><i class="fab fa-facebook-f"></i></a>
        <?php $quemag_wp_twitterlink = 'https://twitter.com/intent/tweet?text=Check%20out%20this%20article:%20'; ?><a class="twbutton" target="_blank" href="<?php echo esc_url($quemag_wp_twitterlink); ?><?php the_title(); ?>%20-%20<?php the_permalink(); ?>" onClick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=400,width=700');return false;"><i class="fab fa-twitter"></i></a>
        <?php $articleimage = wp_get_attachment_url( get_post_thumbnail_id()); ?>
        <?php $quemag_wp_pinlink = 'https://pinterest.com/pin/create/button/?url='; ?><a class="pinbutton" target="_blank" href="<?php echo esc_url($quemag_wp_pinlink); ?><?php the_permalink(); ?>&amp;media=<?php echo esc_html($articleimage); ?>&amp;description=<?php the_title(); ?>" onClick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=400,width=700');return false;"><i class="fab fa-pinterest-p"></i></a>
        <a class="wabutton" target="_blank" href="https://api.whatsapp.com/send?text=<?php the_title(); ?>%20-%20<?php the_permalink(); ?>" data-action="share/whatsapp/share" onClick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=400,width=700');return false;"><i class="fab fa-whatsapp"></i></a>
        <div class="views-nr"><span><?php echo esc_html(getPostViews_quemag_wp(get_the_ID())); ?></span><br /> <?php esc_html_e('Views', 'quemag-wp'); ?></div>
        <div class="comm-line"></div>
        <a href="#comments" class="commbutton"><i class="fas fa-comment-alt"></i></a>
    </div><!-- end #single-share -->
<?php }


// ------------------------------------------------
// ---- Custom Widgets ----------------------------
// ------------------------------------------------ 
 require_once( dirname(__FILE__) . '/widgets/widget-top-tags.php');
 require_once( dirname(__FILE__) . '/widgets/widget-latest-posts.php');
 require_once( dirname(__FILE__) . '/widgets/widget-cat-posts.php');
 require_once( dirname(__FILE__) . '/widgets/widget-cat-posts-small.php');
 require_once( dirname(__FILE__) . '/widgets/widget-cat-menu.php');
 require_once( dirname(__FILE__) . '/widgets/widget-top-posts.php');
 require_once( dirname(__FILE__) . '/widgets/widget-feedburner.php');
 require_once( dirname(__FILE__) . '/widgets/widget-banner.php');
 require_once( dirname(__FILE__) . '/widgets/widget-banner-small.php');
 require_once( dirname(__FILE__) . '/widgets/widget-social.php');
 require_once( dirname(__FILE__) . '/widgets/widget-module-1.php');
 require_once( dirname(__FILE__) . '/widgets/widget-module-2.php');
 require_once( dirname(__FILE__) . '/widgets/widget-module-3.php');


// ------------------------------------------------ 
// ------------ Number of post views --------------
// ------------------------------------------------

// function to display number of posts.
function getPostViews_quemag_wp($postID){
    $count_key = 'post_views_count_quemag_wp';
    $count = get_post_meta($postID, $count_key, true);
    if($count==''){
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
        return '0';
    }
    return $count;
}

// function to count views.
function setPostViews_quemag_wp($postID) {
    $count_key = 'post_views_count_quemag_wp';
    $count = get_post_meta($postID, $count_key, true);
    if($count==''){
        $count = 0;
        delete_post_meta($postID, $count_key);
        add_post_meta($postID, $count_key, '0');
    }else{
        $count++;
        update_post_meta($postID, $count_key, $count);
    }
}


// ------------------------------------------------ 
// --------------- Author Social Links ------------
// ------------------------------------------------ 
function quemag_wp_contactmethods( $contactmethods ) {
    $contactmethods['quemag_wp_facebook']  = ''. esc_html__('Facebook URL', 'quemag-wp') .'';
    $contactmethods['quemag_wp_twitter']   = ''. esc_html__('Twitter URL', 'quemag-wp') .'';
    $contactmethods['quemag_wp_pinterest']    = ''. esc_html__('Pinterest URL', 'quemag-wp') .'';
    $contactmethods['quemag_wp_instagram']    = ''. esc_html__('Instagram URL', 'quemag-wp') .'';
    $contactmethods['quemag_wp_xing']    = ''. esc_html__('Xing URL', 'quemag-wp') .'';
    $contactmethods['quemag_wp_youtube']    = ''. esc_html__('Youtube URL', 'quemag-wp') .'';
    $contactmethods['quemag_wp_dribbble']    = ''. esc_html__('Dribbble URL', 'quemag-wp') .'';
    $contactmethods['quemag_wp_vimeo']    = ''. esc_html__('Vimeo URL', 'quemag-wp') .'';
    $contactmethods['quemag_wp_vk']    = ''. esc_html__('Vk URL', 'quemag-wp') .'';
    $contactmethods['quemag_wp_soundcloud']    = ''. esc_html__('Soundcloud URL', 'quemag-wp') .'';
    return $contactmethods;
}
add_filter('user_contactmethods','quemag_wp_contactmethods',10,1);


// ------------------------------------------------ 
// ---- Twitter ampersand entity decode -----------
// ------------------------------------------------ 
function quemag_social_title( $title ) {
    $title = html_entity_decode( $title );
    $title = urlencode( $title );
    return $title;
}


// ------------------------------------------------ 
// ------------ Meta Box --------------------------
// ------------------------------------------------
$prefix = 'quemag_wp_';
global $meta_boxes;
$meta_boxes = array();

// 1st meta box
$meta_boxes[] = array(
    'id' => 'standard',
    'title' => esc_html__( 'Article Page Options', 'quemag-wp' ),
    'context' => 'normal',
    'priority' => 'high',
    'autosave' => true,


    // Fields
    'fields' => array(
 

        // Youtube
        array(
            // Field name - Will be used as label
            'name'  => esc_html__( 'Video: Youtube:', 'quemag-wp' ),
            // Field ID, i.e. the meta key
            'id'    => "{$prefix}youtube",
            // Field description (optional)
            'desc'  => esc_html__( 'Add Youtube code ex: LpRLb9Rf1do', 'quemag-wp' ),
            'type'  => 'text',
            // Default value (optional)
            'std'   => esc_html__( '', 'quemag-wp' ),
            // CLONES: Add to make the field cloneable (i.e. have multiple value)
            'clone' => false,
        ),
 

    // Vimeo
        // TEXT
        array(
            // Field name - Will be used as label
            'name'  => esc_html__( 'Video: Vimeo:', 'quemag-wp' ),
            // Field ID, i.e. the meta key
            'id'    => "{$prefix}vimeo",
            // Field description (optional)
            'desc'  => esc_html__( 'Add Vimeo code ex: 7449107', 'quemag-wp' ),
            'type'  => 'text',
            // Default value (optional)
            'std'   => esc_html__( '', 'quemag-wp' ),
            // CLONES: Add to make the field cloneable (i.e. have multiple value)
            'clone' => false,
        ),

    // Hide Featured Image
        // CheckBox
        array(
            'name' => esc_html__( 'Featured Image:', 'quemag-wp' ),
            'id'   => "{$prefix}hideimg",
            'desc'  => esc_html__( 'Hide Featured Image on single page for this article', 'quemag-wp' ),
            'type' => 'checkbox',
        ),


    ),

);



/**
 * Register meta boxes
 *
 * @return void
 */
function quemag_wp_register_meta_boxes()
{
    // Make sure there's no errors when the plugin is deactivated or during upgrade
    if ( !class_exists( 'RW_Meta_Box' ) )
        return;

    global $meta_boxes;
    foreach ( $meta_boxes as $meta_box )
    {
        new RW_Meta_Box( $meta_box );
    }
}
// Hook to 'admin_init' to make sure the meta box class is loaded before
// (in case using the meta box class in another plugin)
// This is also helpful for some conditionals like checking page template, categories, etc.
add_action( 'admin_init', 'quemag_wp_register_meta_boxes' );



}
// Quemag is the current theme or the active theme's parent.
?>