<?php
// ------------------------------------------------------
// ------ Categories List  ------------------------------
// ------ by AnThemes.net -------------------------------
//        https://anthemes.com/
//        https://anthemes.com/pricing/ 
// ------------------------------------------------------

class quemag_cat_menu extends WP_Widget {
     function __construct() {
	    $widget_ops = array('description' => esc_html__('Categories list menu with icons.', 'quemag-wp'));
      parent::__construct(false, $name = ''. esc_html__('Custom: Categories List', 'quemag-wp') .'',$widget_ops); 
    }

   function widget($args, $instance) {  
		extract( $args );
		$title = $instance['title'];
?>		
 
<?php echo wp_kses_post($before_widget); ?>	
<?php if ( $title ) echo wp_kses_post($before_title) . esc_attr( $title) . wp_kses_post($after_title); ?>

      <div class="wrap-categories">
        <?php if ( has_nav_menu( 'quemag-wp-secondary-menu' ) ) { ?>
        <?php wp_nav_menu(
            array(
                'theme_location'     => 'quemag-wp-secondary-menu',
                'container'          => 'nav',
                'menu_class'         => 'menu-left',
                'echo'               => true,
                'fallback_cb'        => 'false'
                ));
        ?>
        <?php } ?>
      </div><!-- end .wrap-categories -->

<?php echo wp_kses_post($after_widget); ?>
  
<?php
    }

     function update($new_instance, $old_instance) {				
			$instance = $old_instance;
			$instance['title'] = strip_tags($new_instance['title']);
     return $instance;
    }

 	function form( $instance ) {
		$instance = wp_parse_args( (array) $instance );
?>

        <p>
          <label for="<?php echo esc_attr($this->get_field_id('title')); ?>"><?php esc_html_e( 'Title:', 'quemag-wp' ); ?></label> 
          <input class="widefat" id="<?php echo esc_attr($this->get_field_id('title')); ?>" name="<?php echo esc_attr($this->get_field_name('title')); ?>" type="text" value="<?php if( isset($instance['title']) ) echo esc_attr($instance['title']); ?>" />
        </p>
        

<?php  } }

// register widget
function quemag_cat_menu_init_widget () {
    return register_widget('quemag_cat_menu');
  }
add_action ('widgets_init', 'quemag_cat_menu_init_widget');
?>